//
// Module: 	SelectRAM_A18
//
// Description: Verilog instantiation template
//		Block SelectRAM
//		Single Port 1024 x 18 bits
//
// Device: 	Spartan-3 Family 
// Date:        April, 2003
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR/
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//-------------------------------------------------------------------------------------------
//
// Syntax for Synopsys FPGA Express
// synopsys translate_off

  defparam  

//"Read during Write" attribute for functional simulation
	U_RAMB16_S18.WRITE_MODE = "READ_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE
//RAM initialization ("0" by default) for functional simulation: see example

// synopsys translate_on	


//Block SelectRAM Instantiation
RAMB16_S18 U_RAMB16_S18 (   .DI(),    //insert 16-bit data_in bus ([15:0])
			    .DIP(),   //insert 2-bit parity data_in bus ([17:16])
 			    .ADDR(),  //insert 10-bit address bus ([9:0])
			    .EN(),    //insert enable signal
		 	    .WE(),    //insert write enable signal
			    .SSR(),   //insert set/reset signal
			    .CLK(),   //insert clock signal
			    .DO(),    //insert 16-bit data_out bus ([15:0])
			    .DOP()    //insert 2-bit parity data_out bus ([17:16])
			     );

// Attribute Decalrations:
  /* synopsys attribute 

Attribute "Read during Write mode" = WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE

	WRITE_MODE "READ_FIRST"
	*/

//Attributes for RAM initialization ("0" by default): see example
