//
// Module: 	SelectRAM_A1_B1
//
// Description: Verilog instantiation template
//		Block SelectRAM
//		Dual Port A:16,384 x 1 bit & B: 16,384 x 1 bit
//
// Device: 	Spartan-3 Family 
// Date:        April, 2003
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR/
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//-------------------------------------------------------------------------------------------
//
// Syntax for Synopsys FPGA Express
// synopsys translate_off

  defparam  

//"Read during Write" attribute for functional simulation
	U_RAMB16_S1_S1.WRITE_MODE_A = "READ_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE 
	U_RAMB16_S1_S1.WRITE_MODE_B = "WRITE_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE 
//RAM initialization ("0" by default) for functional simulation: see example

// synopsys translate_on	


//Block SelectRAM Instantiation
RAMB16_S1_S1 U_RAMB16_S1_S1   (   .DIA(),    //insert 1-bit data_in 
			          .ADDRA(),  //insert 14-bit address bus ([13:0])
			          .ENA(),    //insert enable signal
		 	          .WEA(),    //insert write enable signal
			          .SSRA(),   //insert set/reset signal
			          .CLKA(),   //insert clock signal
			          .DOA(),    //insert 1-bit data_out 
//
				  .DIB(),    //insert 1-bit data_in 
			          .ADDRB(),  //insert 14-bit address bus ([13:0])
			          .ENB(),    //insert enable signal
		 	          .WEB(),    //insert write enable signal
			          .SSRB(),   //insert set/reset signal
			          .CLKB(),   //insert clock signal
			          .DOB()     //insert 1-bit data_out 
				   );
			    

// Attribute Decalrations:
  /* synopsys attribute 

Attribute "Read during Write mode" = WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE

	WRITE_MODE_A "READ_FIRST"
	WRTIE_MODE_B "WRITE_FIRST"
	*/
//Attributes for RAM initialization ("0" by default): see example
