//
// Module: 	SelectRAM_A2_B4
//
// Description: Verilog instantiation template
//		Block SelectRAM
//		Dual Port A:8192 x 2 bits & B: 4096 x 4 bits
//
// Device: 	Spartan-3 Family 
// Date:        April, 2003
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR/
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//-------------------------------------------------------------------------------------------
//
// Syntax for Synopsys FPGA Express
// synopsys translate_off

  defparam  

//"Read during Write" attribute for functional simulation
	U_RAMB16_S2_S4.WRITE_MODE_A = "READ_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE 
	U_RAMB16_S2_S4.WRITE_MODE_B = "WRITE_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE 
//RAM initialization ("0" by default) for functional simulation: see example

// synopsys translate_on	


//Block SelectRAM Instantiation
RAMB16_S2_S4 U_RAMB16_S2_S4   (   .DIA(),    //insert 2-bit data_in bus ([1:0]) 
			          .ADDRA(),  //insert 13-bit address bus ([12:0])
			          .ENA(),    //insert enable signal
		 	          .WEA(),    //insert write enable signal
			          .SSRA(),   //insert set/reset signal
			          .CLKA(),   //insert clock signal
			          .DOA(),    //insert 2-bit data_out bus ([1:0]) 
//
				  .DIB(),    //insert 4-bit data_in bus ([3:0]) 
			          .ADDRB(),  //insert 12-bit address bus ([11:0])
			          .ENB(),    //insert enable signal
		 	          .WEB(),    //insert write enable signal
			          .SSRB(),   //insert set/reset signal
			          .CLKB(),   //insert clock signal
			          .DOB()     //insert 4-bit data_out bus ([3:0]) 
				   );
			    

// Attribute Decalrations:
  /* synopsys attribute 

Attribute "Read during Write mode" = WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE

	WRITE_MODE_A "READ_FIRST"
	WRTIE_MODE_B "WRITE_FIRST"
	*/
//Attributes for RAM initialization ("0" by default): see example

