//
// Module: 	SelectRAM_A36_B36
//
// Description: Verilog instantiation template
//		Block SelectRAM
//		Dual Port A:512 x 36 bits & B: 512 x 36 bits
//
// Device: 	Spartan-3 Family 
// Date:        April, 2003
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR/
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//-------------------------------------------------------------------------------------------
//
// Syntax for Synopsys FPGA Express
// synopsys translate_off

  defparam  

//"Read during Write" attribute for functional simulation
	U_RAMB16_S36_S36.WRITE_MODE_A = "READ_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE 
	U_RAMB16_S36_S36.WRITE_MODE_B = "WRITE_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE 
//RAM initialization ("0" by default) for functional simulation: see example

// synopsys translate_on	


//Block SelectRAM Instantiation
RAMB16_S36_S36 U_RAMB16_S36_S36 ( .DIA(),    //insert 32-bit data_in bus ([31:0]) 
                                  .DIPA(),   //insert 4-bit parity data_in bus (35:32])
			          .ADDRA(),  //insert 9-bit address bus ([8:0])
			          .ENA(),    //insert enable signal
		 	          .WEA(),    //insert write enable signal
			          .SSRA(),   //insert set/reset signal
			          .CLKA(),   //insert clock signal
			          .DOA(),    //insert 32-bit data_out bus ([31:0])
				  .DOPA()    //insert 4-bit parity data_out bus ([35:32])
//
				  .DIB(),    //insert 32-bit data_in bus ([31:0]) 
				  .DIPB(),   //insert 4-bit parity data_in bus (35:32])
			          .ADDRB(),  //insert 9-bit address bus ([8:0])
			          .ENB(),    //insert enable signal
		 	          .WEB(),    //insert write enable signal
			          .SSRB(),   //insert set/reset signal
			          .CLKB(),   //insert clock signal
			          .DOB(),    //insert 32-bit data_out bus ([31:0]) 
				  .DOPB()    //insert 4-bit parity data_out bus ([35:32])
				   );
			    

// Attribute Decalrations:
  /* synopsys attribute 

Attribute "Read during Write mode" = WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE

	WRITE_MODE_A "READ_FIRST"
	WRTIE_MODE_B "WRITE_FIRST"
	*/
//Attributes for RAM initialization ("0" by default): see example