//
// Module: 	SelectRAM_A4
//
// Description: Verilog instantiation template
//		Block SelectRAM
//		Single Port 4096 x 4 bits
//
// Device: 	Spartan-3 Family 
// Date:        April, 2003
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR/
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//-------------------------------------------------------------------------------------------
//
// Syntax for Synopsys FPGA Express
// synopsys translate_off

  defparam  

//"Read during Write" attribute for functional simulation
	U_RAMB16_S4.WRITE_MODE = "READ_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE 
//RAM initialization ("0" by default) for functional simulation: see example

// synopsys translate_on	


//Block SelectRAM Instantiation
RAMB16_S4 U_RAMB16_S4   (   .DI(),    //insert 4-bit data_in bus ([3:0])
			    .ADDR(),  //insert 12-bit address bus ([11:0])
			    .EN(),    //insert enable signal
		 	    .WE(),    //insert write enable signal
			    .SSR(),   //insert set/reset signal
			    .CLK(),   //insert clock signal
			    .DO()     //insert 4-bit data_out bus ([3:0])
			     );

// Attribute Decalrations:
  /* synopsys attribute 

Attribute "Read during Write mode" = WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE

	WRITE_MODE "READ_FIRST"
	*/
//Attributes for RAM initialization ("0" by default): see example