//
// Module: 	SelectRAM_A9_B18
//
// Description: Verilog instantiation template
//		Block SelectRAM
//		Dual Port A:2048 x 9 bits & B:1024 x 18 bits
//
// Device: 	Spartan-3 Family 
// Date:        April, 2003
// Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
//              WHATSOEVER AND XILINX SPECIFICALLY DISCLAIMS ANY 
//              IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR/
//              A PARTICULAR PURPOSE, OR AGAINST INFRINGEMENT.
//
//  Copyright (c) 2003 Xilinx, Inc.  All rights reserved.
//-------------------------------------------------------------------------------------------
//
// Syntax for Synopsys FPGA Express
// synopsys translate_off

  defparam  

//"Read during Write" attribute for functional simulation
	U_RAMB16_S9_S18.WRITE_MODE_A = "READ_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE 
	U_RAMB16_S9_S18.WRITE_MODE_B = "WRITE_FIRST" -type string; //WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE 
//RAM initialization ("0" by default) for functional simulation: see example

// synopsys translate_on	


//Block SelectRAM Instantiation
RAMB16_S9_S18 U_RAMB16_S9_S18 (   .DIA(),    //insert 8-bit data_in bus ([7:0])
                                  .DIPA(),   //insert 1-bit parity data_in 
			          .ADDRA(),  //insert 11-bit address bus ([10:0])
			          .ENA(),    //insert enable signal
		 	          .WEA(),    //insert write enable signal
			          .SSRA(),   //insert set/reset signal
			          .CLKA(),   //insert clock signal
			          .DOA(),    //insert 8-bit data_out bus ([7:0]) 
				  .DOPA()    //insert 1-bit parity data_out
//
				  .DIB(),    //insert 16-bit data_in bus ([15:0]) 
				  .DIPB(),   //insert 2-bit parity data_in bus ([17:16])
			          .ADDRB(),  //insert 10-bit address bus ([9:0])
			          .ENB(),    //insert enable signal
		 	          .WEB(),    //insert write enable signal
			          .SSRB(),   //insert set/reset signal
			          .CLKB(),   //insert clock signal
			          .DOB(),    //insert 16-bit data_out bus ([15:0]) 
				  .DOPB()    //insert 2-bit parity data_out bus ([17:16])
				   );
			    

// Attribute Decalrations:
  /* synopsys attribute 

Attribute "Read during Write mode" = WRITE_FIRST(default)/ READ_FIRST/ NO_CHANGE

	WRITE_MODE_A "READ_FIRST"
	WRTIE_MODE_B "WRITE_FIRST"
	*/
//Attributes for RAM initialization ("0" by default): see example
